Skip to main content
GET
/
agent-runtimes
/
projects
/
{project_reference}
/
targets
List project agent runtime targets
curl --request GET \
  --url https://api.veryfront.com/agent-runtimes/projects/{project_reference}/targets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "service_name": "<string>",
      "service_key": "<string>",
      "scope_key": "<string>",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "<string>",
      "base_url": "<string>",
      "invoke_url": "<string>",
      "version": "<string>",
      "runtime": "<string>",
      "region": "<string>",
      "last_heartbeat_at": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "capabilities": null,
      "metadata": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1

Response

200 - application/json

Agent runtime targets for the project

data
(RegisteredPushServiceTarget · object | PullWorkerTarget · object)[]
required